[arch-commits] Commit in perl-image-size/trunk (PKGBUILD)

François Charette francois at archlinux.org
Thu Aug 19 11:07:20 EDT 2010


    Date: Thursday, August 19, 2010 @ 11:07:20
  Author: francois
Revision: 88122

update to 3.221; tidy up PKGBUILD

Modified:
  perl-image-size/trunk/PKGBUILD

----------+
 PKGBUILD |   24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-19 14:41:19 UTC (rev 88121)
+++ PKGBUILD	2010-08-19 15:07:20 UTC (rev 88122)
@@ -1,22 +1,28 @@
 # $Id:$
+# Contributor: <francois . archlinux . org>
 # Contributor: Lukas Jirkovsky <l.jirkovsky at gmail.com>
 # Contributor: Igor Scabini <furester at gmail.com>
 pkgname=perl-image-size
-pkgver=3.220
+_cpanname=Image-Size
+pkgver=3.221
 pkgrel=1
-pkgdesc="Perl/CPAN Module Image::Size : read the dimensions of an image in several popular formats"
-arch=('i686' 'x86_64')
-url="http://search.cpan.org/dist/Image-Size/"
+pkgdesc="Read the dimensions of an image in several popular formats"
+arch=(any)
+url="http://search.cpan.org/dist/${_cpanname}/"
 license=('LGPL' 'Artistic')
 depends=('perl')
-source=("http://search.cpan.org/CPAN/authors/id/R/RJ/RJRAY/Image-Size-$pkgver.tar.gz")
-md5sums=('9025ff2283fd428a4af5226c05f5d5b2')
+options=('!emptydirs')
+source=("http://search.cpan.org/CPAN/authors/id/R/RJ/RJRAY/${_cpanname}-$pkgver.tar.gz")
 
 build() {
-  cd "$srcdir"/Image-Size-$pkgver
-  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+  cd $srcdir/${_cpanname}-$pkgver
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
   make || return 1
-  make pure_install doc_install DESTDIR="$pkgdir"
+}
+package() {
+  cd $srcdir/${_cpanname}-$pkgver
+  make install DESTDIR="$pkgdir" || return 1
   find "$pkgdir" -name '.packlist' -delete
   find "$pkgdir" -name '*.pod' -delete
 }
+md5sums=('0f79025fc341d9a6dc4cbda7ba129377')



More information about the arch-commits mailing list